init:

    image summerLogo = "summerLogo.png"
    image snowLogo = "snowLogo.png"
    
    image sunStreak = im.Map("streak.png", bmap=im.ramp(0,0))
    image iceStreak = im.Rotozoom(im.Map("streak.png", rmap=im.ramp(0,0), gmap=im.ramp(0,0)),180,1)
    image productionsLogo = "productionsLogo.png"
    
    image renpyLogo = "renpyLogo.png"
    
    image mainmenufade = Image("mmBG-sketch.png")
    
    image menu1 = Image("menu1.png")
    image menu2 = Image("menu2.png")
    image menu3 = Image("menu3.png")
    image menu4 = Image("menu4.png")
    
    image blurmenu1 = Image("blurmenu1.png")
    image blurmenu2 = Image("blurmenu2.png")
    image blurmenu3 = Image("blurmenu3.png")
    image blurmenu4 = Image("blurmenu4.png")
    
    image menuback = Image("menuback.png")

    $ config.layers.insert(1, 'localSnow')
    $ menu_not_shown = True

    # Make it so that it only takes up part of the screen.
    $ config.layer_clipping['localSnow'] = (300, 425, 340, 275)



label splashscreen:
    
    scene black
    $ renpy.pause(1.0)
    show renpyLogo at Position(xpos=0.5,ypos=0.4,xanchor="center", yanchor="center")
    show expression Text("Ren'Py- A Visual Novel Engine", size=22, xpos=0.5,ypos=0.7,xanchor="center", yanchor="center", drop_shadow=(2, 2)) as text
    with dissolve
    $ renpy.pause(1.0)
    hide text with dissolve
    show expression Text("~ www.renpy.org ~", size=22, xpos=0.5,ypos=0.7,xanchor="center", yanchor="center", drop_shadow=(2, 2)) as text with dissolve
    $ renpy.pause(1.0)
    hide renpyLogo
    hide text
    with dissolve
    
    
    scene black
    show summerLogo at Position(xpos=0.3,ypos=0.3,xanchor="center", yanchor="center")
    show sunStreak at Move((0.3,0.3),(2.0,0.3),0.5, repeat=False, bounce=False,xanchor="center", yanchor="center")
    $ renpy.pause(0.5)
    #hide sunStreak
    #show sunStreak at Move((0.3,0.3),(2.0,0.3),5, repeat=False, bounce=False,xanchor="center", yanchor="center")
    #$ renpy.pause(5)
    
    show snowLogo at Position(xpos=0.55,ypos=0.5,xanchor="center", yanchor="center")
    show iceStreak at Move((0.7,0.5),(-2.0,0.5),0.51, repeat=False, bounce=False,xanchor="center", yanchor="center")
    hide summerLogo
    show summerLogo at Position(xpos=0.3,ypos=0.3,xanchor="center", yanchor="center")
    $ renpy.pause(0.5)
    show productionsLogo at Position(xpos=0.5,ypos=0.7,xanchor="center", yanchor="center") with dissolve
    $ renpy.pause(2)
    scene black with fade
    
    return
    
label main_menu: 
    $ renpy.music.play('Evening Fall Piano Lo.ogg', fadein=1,fadeout=1,if_changed=True)
    #show menuback at Position(xpos=1.0,ypos=1.0,xanchor=1.0, yanchor=1.0, drop_shadow=(2, 2))
    #scene white
    if menu_not_shown:
        scene mainmenufade with dissolve
        show blurmenu1 at Position(xpos=1.0,ypos=1.0,xanchor=1.0, yanchor=1.0, drop_shadow=(2, 2)) with Dissolve(.4)
        show menu1 at Position(xpos=1.0,ypos=1.0,xanchor=1.0, yanchor=1.0, drop_shadow=(2, 2)) with Dissolve(.1)
        show blurmenu2 at Position(xpos=1.0,ypos=1.0,xanchor=1.0, yanchor=1.0, drop_shadow=(2, 2)) with Dissolve(.4)
        show menu2 at Position(xpos=1.0,ypos=1.0,xanchor=1.0, yanchor=1.0, drop_shadow=(2, 2)) with Dissolve(.1)
        show blurmenu3 at Position(xpos=1.0,ypos=1.0,xanchor=1.0, yanchor=1.0, drop_shadow=(2, 2)) with Dissolve(.4)
        show menu3 at Position(xpos=1.0,ypos=1.0,xanchor=1.0, yanchor=1.0, drop_shadow=(2, 2)) with Dissolve(.1)
        show blurmenu4 at Position(xpos=1.0,ypos=1.0,xanchor=1.0, yanchor=1.0, drop_shadow=(2, 2)) with Dissolve(.4)
        show menu4 at Position(xpos=1.0,ypos=1.0,xanchor=1.0, yanchor=1.0, drop_shadow=(2, 2)) with Dissolve(.1)
        $ menu_not_shown = False
  
    jump _library_main_menu        
    
    